当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ubuntu10.04下audacious2.4源码编译过程(解决2.3cue的bug)
帖子发表于 : 2010-10-25 22:00 
头像

注册: 2009-06-01 21:21
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
编译最新的2.4是为了解决ubuntu源中安装的audacious播放cue时有bug,会一直重复第一首歌
听ape的时候很不爽,所以就去编译最新的
编译环境:10.04
网络环境:教育网

参考:http://neo.javaeye.com/blog/587443
下载地址:http://audacious-media-player.org/downloads

注意:下面这些命令是我手打的,可能有错,仅供参考,多使用tab来补全命令
下载下列两个文件:

Audacious Core: audacious-2.4.0.tgz
Audacious Plugins: audacious-plugins-2.4.0.tgz

先编译audacious-2.4.0
代码:
tar xvf audacious-2.4.0.tgz
cd audacious-2.4.0
sudo apt-get build-dep audacious

./configure --enable-chardet  //加参数开启字符集自动识别 
make 
sudo make install

注意:如果configure那步出错,提示为libmowgli的话,可以尝试下载
代码:
axel http://distfiles.atheme.org/libmowgli-0.7.1.tgz

然后编译安装
代码:
./configure
make
sudo make install


然后,编译audacious-plugins-2.4.0.tgz
代码:
tar xvf audacious-plugins-2.4.0.tgz
cd audacious-plugins-2.4.0
sudo apt-get build-dep audacious-plungins

./configure
make 
sudo make install


打开播放器,进行测试
代码:
audacious

简单设置:
1.首选项 插件 常规中 里面有个 Status Icon是用来最小化到托盘的
2.首选项 音频 音频输出 选择ALSA的,默认的OSS会提示设备占用无法发声(可以中命令行下看到提示)

如果中没有应用程序->影音->audacious的菜单,没关系的,最简单的方法就是重启或者ctrl+alt+backspace
(需要选中 系统->首选项->键盘->布局->选项->key sequence to kill x server -> ctrl+alt+backspace)

--------------------------------
修改一处错误


_________________
chrome+Proxy Switchy!+SogouProxy,突破教育网的网络限制


最后由 icejoywoo 编辑于 2010-12-02 14:47,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: ubuntu10.04下audacious2.4源码编译过程(解决2.3cue的bug)
帖子发表于 : 2010-10-26 10:32 
头像

注册: 2010-08-08 20:02
帖子: 741
系统: Ubuntu 12.04
送出感谢: 0 次
接收感谢: 1
:em06 :em06


_________________
退避九舍:富贵不能淫,贫贱不能移,威武不能屈:坚持ubuntu不动摇!


页首
 用户资料  
 
3 楼 
 文章标题 : Re: ubuntu10.04下audacious2.4源码编译过程(解决2.3cue的bug)
帖子发表于 : 2010-11-26 14:31 

注册: 2009-11-01 14:33
帖子: 87
送出感谢: 0 次
接收感谢: 0 次
icejoywoo 写道:
编译最新的2.4是为了解决ubuntu源中安装的audacious播放cue时有bug,会一直重复第一首歌
听ape的时候很不爽,所以就去编译最新的
编译环境:10.04
网络环境:教育网

参考:http://neo.javaeye.com/blog/587443
下载地址:http://audacious-media-player.org/downloads

注意:下面这些命令是我手打的,可能有错,仅供参考,多使用tab来补全命令
下载下列两个文件:

Audacious Core: audacious-2.4.0.tgz
Audacious Plugins: audacious-plugins-2.4.0.tgz

先编译audacious-2.4.0
代码:
tar xvf audacious-2.4.0.tgz
cd audacious-2.4.0
sudo apt-get build-dep audacious

./configure --enable-chardet  //加参数开启字符集自动识别 
make 
sudo make install

注意:如果configure那步出错,提示为libmowgli的话,可以尝试下载
代码:
axel http://distfiles.atheme.org/libmowgli-0.7.1.tgz

然后编译安装
代码:
./configure
make
sudo make install


然后,编译audacious-plugins-2.4.0.tgz
代码:
tar xvf audacious-plugins-2.4.0.tgz
cd audacious-2.4.0
sudo apt-get build-dep audacious-plungins

./configure
make 
sudo make install


打开播放器,进行测试
代码:
audacious

简单设置:
1.首选项 插件 常规中 里面有个 Status Icon是用来最小化到托盘的
2.首选项 音频 音频输出 选择ALSA的,默认的OSS会提示设备占用无法发声(可以中命令行下看到提示)

如果中没有应用程序->影音->audacious的菜单,没关系的,最简单的方法就是重启或者ctrl+alt+backspace
(需要选中 系统->首选项->键盘->布局->选项->key sequence to kill x server -> ctrl+alt+backspace)

很有帮助,谢谢。只是问一下,编译插件的时候,怎么还是进入之前的目录呢?有没有写错?


页首
 用户资料  
 
4 楼 
 文章标题 : Re: ubuntu10.04下audacious2.4源码编译过程(解决2.3cue的bug)
帖子发表于 : 2010-11-26 14:46 

注册: 2009-11-01 14:33
帖子: 87
送出感谢: 0 次
接收感谢: 0 次
icejoywoo 写道:
打开播放器,进行测试
代码:
audacious

简单设置:
1.首选项 插件 常规中 里面有个 Status Icon是用来最小化到托盘的
2.首选项 音频 音频输出 选择ALSA的,默认的OSS会提示设备占用无法发声(可以中命令行下看到提示)

如果中没有应用程序->影音->audacious的菜单,没关系的,最简单的方法就是重启或者ctrl+alt+backspace
(需要选中 系统->首选项->键盘->布局->选项->key sequence to kill x server -> ctrl+alt+backspace)

我的为什么没有ALSA?郁闷死我了。。。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: ubuntu10.04下audacious2.4源码编译过程(解决2.3cue的bug)
帖子发表于 : 2010-11-26 20:36 

注册: 2009-11-01 14:33
帖子: 87
送出感谢: 0 次
接收感谢: 0 次
配置成功了,方法是在编译audacious-plugins之前加上这个:
sudo apt-get build-dep audacious-plugins
下载了70+M的东西,也不晓得是啥。
同时也把解压的目录改成了~下,原来是在~/下载。不知道是哪个起到了作用。

刚作好,就发现另一个好办法:
在软件源里面加上这两句:
deb http://ppa.launchpad.net/ferramroberto/ ... cid/ubuntu lucid main
deb-src http://ppa.launchpad.net/ferramroberto/ ... cid/ubuntu lucid main
就可以用新立得更新了,非常爽。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: ubuntu10.04下audacious2.4源码编译过程(解决2.3cue的bug)
帖子发表于 : 2010-12-02 14:48 
头像

注册: 2009-06-01 21:21
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
zz3nian2 写道:
很有帮助,谢谢。只是问一下,编译插件的时候,怎么还是进入之前的目录呢?有没有写错?


多谢提醒,是我写错了,编译的时候多用tab补全命令
我已经改了


_________________
chrome+Proxy Switchy!+SogouProxy,突破教育网的网络限制


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译